import { __require as requireGetIntrinsic } from "../../get-intrinsic/index.js";
import { __require as requireCallBound } from "../../call-bound/index.js";
var IsArray;
var hasRequiredIsArray;
function requireIsArray() {
  if (hasRequiredIsArray) return IsArray;
  hasRequiredIsArray = 1;
  var GetIntrinsic = requireGetIntrinsic();
  var $Array = GetIntrinsic("%Array%");
  var toStr = !$Array.isArray && requireCallBound()("Object.prototype.toString");
  IsArray = $Array.isArray || function IsArray2(argument) {
    return toStr(argument) === "[object Array]";
  };
  return IsArray;
}
export {
  requireIsArray as __require
};
